summaryrefslogtreecommitdiffstats
path: root/bus/messagebus.in
diff options
context:
space:
mode:
authorHavoc Pennington <hp@redhat.com>2003-03-31 23:19:19 +0000
committerHavoc Pennington <hp@redhat.com>2003-03-31 23:19:19 +0000
commit18c470cd2c7245f33f5d924d23972e95e3d347a0 (patch)
tree86f597a9d40e81142f85d3b56f07889060877cd5 /bus/messagebus.in
parentfa05de9230d62e7c427b5313796fc6ccd4d0ff60 (diff)
2003-03-31 Havoc Pennington <hp@redhat.com>
* bus/Makefile.am (install-data-hook): create /var/run/dbus * bus/messagebus.in: add init script for Red Hat /etc/init.d * configure.in: add support for specifying a style of init script to install
Diffstat (limited to 'bus/messagebus.in')
-rwxr-xr-xbus/messagebus.in69
1 files changed, 69 insertions, 0 deletions
diff --git a/bus/messagebus.in b/bus/messagebus.in
new file mode 100755
index 00000000..60c70777
--- /dev/null
+++ b/bus/messagebus.in
@@ -0,0 +1,69 @@
+#!/bin/sh
+#
+# messagebus: The D-BUS systemwide message bus
+#
+# chkconfig: 345 97 03
+# description: This is a daemon which broadcasts notifications of system events \
+# and other messages. See http://www.freedesktop.org/software/dbus/
+#
+# processname: dbus-daemon-1
+# pidfile: @EXPANDED_LOCALSTATEDIR@/messagebus.pid
+#
+
+# Sanity checks.
+[ -x @EXPANDED_BINDIR@/dbus-daemon-1 ] || exit 0
+
+# Source function library.
+. @EXPANDED_SYSCONFDIR@/rc.d/init.d/functions
+
+RETVAL=0
+
+start() {
+ echo -n $"Starting system message bus: "
+ daemon dbus-daemon-1 --system
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch @EXPANDED_LOCALSTATEDIR@/lock/subsys/messagebus
+}
+
+stop() {
+ echo -n $"Stopping system message bus: "
+ killproc messagebus
+ RETVAL=$?
+ echo
+ if [ $RETVAL -eq 0 ]; then
+ rm -f @EXPANDED_LOCALSTATEDIR@/lock/subsys/messagebus
+ fi
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status messagebus
+ RETVAL=$?
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ condrestart)
+ if [ -f @EXPANDED_LOCALSTATEDIR@/lock/subsys/messagebus ]; then
+ stop
+ start
+ fi
+ ;;
+ reload)
+ killproc messagebus -HUP
+ RETVAL=$?
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"
+ ;;
+esac
+exit $RETVAL